com.taggercat.template.tags
Class CheckParamsTag

java.lang.Object
  extended by javax.servlet.jsp.tagext.TagSupport
      extended by com.taggercat.template.tags.CheckParamsTag
All Implemented Interfaces:
java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class CheckParamsTag
extends javax.servlet.jsp.tagext.TagSupport

This tag tests for the existence of the specified request parameters.

See Also:
Serialized Form
 

Field Summary
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
CheckParamsTag()
           
 
Method Summary
 int doEndTag()
          Default processing of the end tag returning EVAL_PAGE.
 java.lang.String getParams()
           
 void setParams(java.lang.String params)
           
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

CheckParamsTag

public CheckParamsTag()
Method Detail

doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Default processing of the end tag returning EVAL_PAGE.

Specified by:
doEndTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doEndTag in class javax.servlet.jsp.tagext.TagSupport
Throws:
javax.servlet.jsp.JspException - if an error occurs while processing this tag
Returns:
EVAL_PAGE
See Also:
Tag.doEndTag()

getParams

public java.lang.String getParams()

setParams

public void setParams(java.lang.String params)